PLplot: plline.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions | Variables
plline.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | INSIDE(ix, iy) ( BETW( ix, xmin, xmax ) && BETW( iy, ymin, ymax ) )

## Functions
static void | pllclp (PLINT *x, PLINT *y, PLINT npts)
static void | genlin (short *x, short *y, PLINT npts)
static void | grdashline (short *x, short *y)
static PLFLT * | interpolate_between (int n, PLFLT a, PLFLT b)
void | c_pljoin (PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | c_plline (PLINT n, const PLFLT *x, const PLFLT *y)
void | c_plpath (PLINT n, PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | c_plline3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z)
void | c_plpoly3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z, const PLBOOL *draw, PLBOOL ifcc)
void | c_plstyl (PLINT nms, const PLINT *mark, const PLINT *space)
void | plP_movphy (PLINT x, PLINT y)
void | plP_draphy (PLINT x, PLINT y)
void | plP_movwor (PLFLT x, PLFLT y)
void | plP_drawor (PLFLT x, PLFLT y)
void | plP_draphy_poly (PLINT *x, PLINT *y, PLINT n)
void | plP_drawor_poly (const PLFLT *x, const PLFLT *y, PLINT n)
void | plP_pllclp (PLINT *x, PLINT *y, PLINT npts, PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax, void(*draw)(short *, short *, PLINT))
int | plP_clipline (PLINT *p_x1, PLINT *p_y1, PLINT *p_x2, PLINT *p_y2, PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax)

## Variables
static PLINT | xline [PL_MAXPOLY]
static PLINT | yline [PL_MAXPOLY]
static PLINT | lastx = PL_UNDEFINED
static PLINT | lasty = PL_UNDEFINED

## Macro Definition Documentation

#define INSIDE | ( |  | ix,
|  |  | iy
| ) |  | ( BETW( ix, xmin, xmax ) && BETW( iy, ymin, ymax ) )

Definition at line 27 of file plline.c.

## Function Documentation

void c_pljoin | ( | PLFLT | x1,
|  | PLFLT | y1,
|  | PLFLT | x2,
|  | PLFLT | y2
| ) |  |

Definition at line 64 of file plline.c.

void c_plline | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y
| ) |  |

Definition at line 77 of file plline.c.

void c_plline3 | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z
| ) |  |

Definition at line 133 of file plline.c.

void c_plpath | ( | PLINT | n,
|  | PLFLT | x1,
|  | PLFLT | y1,
|  | PLFLT | x2,
|  | PLFLT | y2
| ) |  |

Definition at line 96 of file plline.c.

void c_plpoly3 | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | const PLBOOL * | draw,
|  | PLBOOL | ifcc
| ) |  |

Definition at line 268 of file plline.c.

void c_plstyl | ( | PLINT | nms,
|  | const PLINT * | mark,
|  | const PLINT * | space
| ) |  |

Definition at line 406 of file plline.c.

static void genlin | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 808 of file plline.c.

static void grdashline | ( | short * | x,
|  | short * | y
| ) |  |
| static

Definition at line 852 of file plline.c.

PLFLT * interpolate_between | ( | int | n,
|  | PLFLT | a,
|  | PLFLT | b
| ) |  |
| static

Definition at line 979 of file plline.c.

static void pllclp | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 584 of file plline.c.

int plP_clipline | ( | PLINT * | p_x1,
|  | PLINT * | p_y1,
|  | PLINT * | p_x2,
|  | PLINT * | p_y2,
|  | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax
| ) |  |

Definition at line 699 of file plline.c.

void plP_draphy | ( | PLINT | x,
|  | PLINT | y
| ) |  |

Definition at line 474 of file plline.c.

void plP_draphy_poly | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | n
| ) |  |

Definition at line 529 of file plline.c.

void plP_drawor | ( | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 507 of file plline.c.

void plP_drawor_poly | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | PLINT | n
| ) |  |

Definition at line 556 of file plline.c.

void plP_movphy | ( | PLINT | x,
|  | PLINT | y
| ) |  |

Definition at line 461 of file plline.c.

void plP_movwor | ( | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 491 of file plline.c.

void plP_pllclp | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | npts,
|  | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax,
|  | void(*)(short *, short *, PLINT) | draw
| ) |  |

Definition at line 601 of file plline.c.

## Variable Documentation

PLINT lastx = PL_UNDEFINED
| static

Definition at line 31 of file plline.c.

PLINT lasty = PL_UNDEFINED
| static

Definition at line 31 of file plline.c.

PLINT xline[PL_MAXPOLY]
| static

Definition at line 29 of file plline.c.

PLINT yline[PL_MAXPOLY]
| static

Definition at line 29 of file plline.c.